export declare class TableFiltersMenu {
    anchorButton: HTMLElement;
    menu: HTMLElement;
    showClearButton: boolean;
    params: any;
    clearParams: () => void;
    watchParamsHandler(newValue: any): void;
    show(): void;
    hide(): void;
    componentWillLoad(): void;
    render(): any;
}
